<table class="bordered">
    <thead>
    <tr>
        <th>Name</th>
        <th>Artist</th>
        <th>Genre</th>
        <th>Duration</th>
        <th>Likes</th>
    </tr>
    </thead>
    <tbody>
    <tr *ngFor="#song of songs">
        <td (click)="openSong(song.id)" style="cursor: pointer">{{song.name}}</td>
        <td>{{song.artist.name}}</td>
        <td>{{song.genre}}</td>
        <td>{{song.duration | timeFormat:format}}</td>
        <td style="min-width: 120px; max-width: 120px"><rating [rate]="song.hearts" (changeRating)="updateSongRating($event, song.id)"></rating></td>
    </tr>
    </tbody>
</table>
